{ KOL MCK } // Do not remove this line!
{$DEFINE KOL_MCK}
unit Unit1;

interface

{$IFDEF KOL_MCK}
uses Windows, Messages, ShellAPI, KOL {$IFNDEF KOL_MCK}, mirror, Classes, Controls, mckControls, mckObjs, Graphics,
  mckCtrls {$ENDIF (place your units here->)}, ODBCQuery;
{$ELSE}
{$I uses.inc}
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;
{$ENDIF}

type
  {$IFDEF KOL_MCK}
  {$I MCKfakeClasses.inc}
  {$IFDEF KOLCLASSES} TForm1 = class; PForm1 = TForm1; {$ELSE OBJECTS} PForm1 = ^TForm1; {$ENDIF CLASSES/OBJECTS}
  {$IFDEF KOLCLASSES}{$I TForm1.inc}{$ELSE} TForm1 = object(TObj) {$ENDIF}
    Form: PControl;
  {$ELSE not_KOL_MCK}
  TForm1 = class(TForm)
  {$ENDIF KOL_MCK}
    KOLProject1: TKOLProject;
    KOLForm1: TKOLForm;
    Button1: TKOLButton;
    Button2: TKOLButton;
    Memo1: TKOLMemo;
    Button3: TKOLButton;
    Button4: TKOLButton;
    procedure Button1Click(Sender: PObj);
    procedure KOLForm1Close(Sender: PObj; var Accept: Boolean);
    procedure Button2Click(Sender: PObj);
    procedure Button3Click(Sender: PObj);
    procedure Button4Click(Sender: PObj);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1 {$IFDEF KOL_MCK} : PForm1 {$ELSE} : TForm1 {$ENDIF} ;

{$IFDEF KOL_MCK}
procedure NewForm1( var Result: PForm1; AParent: PControl );
{$ENDIF}

implementation

{$IFNDEF KOL_MCK} {$R *.DFM} {$ENDIF}

{$IFDEF KOL_MCK}
{$I Unit1_1.inc}
{$ENDIF}

procedure TForm1.Button1Click(Sender: PObj);
var DB: PODBCDatabase;
begin
  new( DB, Create );
  DB.DSNConnect( 'MAS', 'sa', '' );
  if DB.Connected then
  begin
    //ShowMessage( 'Connected!' );
    Button1.Enabled := FALSE;
    Button2.Enabled := TRUE;
    Button3.Enabled := TRUE;
    Button4.Enabled := TRUE;
    {Button5.Enabled := TRUE;
    Button6.Enabled := TRUE;
    Button8.Enabled := TRUE;
    Button9.Enabled := TRUE;}
  end
  else DB.Free;
end;

procedure TForm1.KOLForm1Close(Sender: PObj; var Accept: Boolean);
begin
  if Assigned( DefaultODBCDataSource ) then
    DefaultODBCDataSource.Free;
end;

procedure TForm1.Button2Click(Sender: PObj);
var Q: PODBCQuery;
begin
  new( Q, Create );
  TRY
    Q.SQL.Text := 'select * from users order by loginname';
    Q.Open;
    while not Q.Eof do
    begin
      Memo1.Add( 'user=' + Q.SField[ 'loginname' ] + #13#10 );
      Q.Next;
    end;
    Q.Close;
  FINALLY
    Q.Free;
  END;
end;

procedure TForm1.Button3Click(Sender: PObj);
var Q: PODBCQuery;
begin
  Q := NewODBCQuery;
  TRY
    Q.SQL.Text :=
      #13'create table #test (n1 numeric(12,6))' +
      #13'insert into #test values(10203.1516175)' +
      #13'select ' + //'convert(varchar(10),n1) as ' +
      #13'n1 from #test' +
      #13'drop table #test';
    Q.Open;
    while not Q.Eof do
    begin
      //FpuInit;
      Memo1.Add( 'n1=' + Q.SField[ 'n1' ] + #13#10 );
      Q.Next;
    end;
    Q.Close;

  FINALLY
    Q.Free;
  END;
end;

procedure TForm1.Button4Click(Sender: PObj);
var Q: PODBCQuery;
begin
  Q := NewODBCQuery;
  TRY
    Q.SQL.Text :=
      #13'create table #U (dt datetime)' +
      #13'insert into #U (dt)' +
      #13'values(''20051112'')' +
      #13'select * from #U' +
      #13'drop table #U' +
      '';
    Q.Open;

    while not Q.Eof do
    begin
      Memo1.Add( 'dt=' +  Q.SField[ 'dt' ] + #13#10 );
      Q.Next;
    end;
  FINALLY
    Q.Free;
  END;
end;

end.


